function [] = gen_circus(n,choose)

L = zeros(n);
E = ones(2);
L(ceil(n/2):ceil(n/2)+1,ceil(n/2):ceil(n/2)+1) = .5*E;
L(ceil(n/6):ceil(n/6)+1,ceil(n/6):ceil(n/6)+1) = .3*E; L(5*ceil(n/6):5*ceil(n/6)+1,ceil(n/6):ceil(n/6)+1) = .3*E;
L(ceil(n/6):ceil(n/6)+1,5*ceil(n/6):5*ceil(n/6)+1) = .3*E; L(5*ceil(n/6):5*ceil(n/6)+1,5*ceil(n/6):5*ceil(n/6)+1) = .3*E;
low = reshape(L,n^2,1);
sstart = .5*ones(n,n);
xstart = reshape(sstart,n^2,1);
H = delsq(numgrid('S',n+2));
%full(H)
h = 1/(n-1);
c = -h^2*ones(n^2,1);

if(choose(1) == 1)
    solvetime = tic;
    [x,alpha,iter,Aopt,avg_inact] = kr( H, -c, -low, 1, [], 10^-10, 1);
    kr_time = toc(solvetime);
    fprintf('\n\n Kunisch-Rendl-Algorithm\n'); % display some info on screen 
    fprintf('  atime   anoi  inact_var\n');        
    fprintf('  %3.2f   %3.2f   %3.2f \n\n',kr_time,iter,avg_inact);
end

if(choose(2) == 1)
    solvetime = tic;
    [x_hr, alpha, Aopt, dummy, iter, maxfloor, totalsolves, avg_inact] = mkr( H, -c, -low, 1, [], [], [], 0, 0, 0, 0, 0, 10^-10, 1);
    hr_time = toc(solvetime);
    obj_opt = 0.5*x_hr'*H*x_hr-c'*x_hr;
    fprintf('\n\n Modified Kunisch-Rendl-Algorithm\n'); % display some info on screen 
    fprintf('  time   anoi   total_solves   mds   inact_var\n');        
    fprintf('  %3.2f   %3.2f   %3.2f    %4d   %3.2f \n\n',hr_time,iter,totalsolves,maxfloor,avg_inact);
end
    
if(choose(3) == 1)
    solvetime = tic;
    [x, alpha, Aopt, Iopt, sum_act, avg_inact, time, oiter, kd, uds, pift, apifu, mpifu, pft, apfu, mpfu, mcountpp] = ckr(H, -c, -low, 1, [], 10^-10, 1);
    ckr_time = toc(solvetime);
    fprintf('\n\n Controled Kunisch-Rendl-Algorithm\n'); % display some info on screen 
    fprintf('time   anoi  heuiter  primup   dualup   maxp   inact var\n');        
    fprintf('%3.2f   %3.2f   %3.2f      %3.2f     %3.2f      %d     %3.2f\n\n',ckr_time,oiter,uds,pift,pft,mcountpp,avg_inact);
end


if(choose(4) == 1)
    options = optimset('quadprog');
    options = optimset(options,'Display','off'); 
    solvetime = tic;
    [x,fval,exitflag,output] = quadprog(H, c, [], [], [], [], low, [], xstart, options);
    matlab_time = toc(solvetime);
    arel_err = (0.5*x'*H*x+c'*x-obj_opt)/abs(obj_opt);
    fprintf('\n\n Reflective Trust-Region\n'); % display some info on screen 
    fprintf('  atime   anoi   relative error\n');        
    fprintf(' %3.3f   %3.3f   %10.10e \n\n',matlab_time,output.iterations,arel_err);
end


fprintf('\n\nObjective value: %10.7f\n',obj_opt);